Subject: Re: The ds1337 chip on fsl_mp8313E RDB REVA 3 doesn't work properly

From: Kim Phillips <[email-masked]>
Date: Thu, 20 Sep 2007 12:19:12 -0500

On Thu, 20 Sep 2007 17:09:15 +0800
Andrew Liu <[email-masked]> wrote:

> Hello All,
> The same u-boot/kernel/rootfs on fsl_mp8313E RDB REVA 2, DS1337  RTC
> chip can work,
> but on sl_mp8313E RDB REVA 3, it doesn't work, its time don't change.
> 
> This RTC chip  specific bad behavior on sl_mp8313E RDB REVA 3  as follows:
> (1) On U-Boot (from Freescale), run command:
> => i2c md 0x68 0x0
> 0000: 32 33 10 04 20 89 08 84 00 20 53 00 42 16 18 80    23.. .... S.B...

looks like your oscillator is turned off (80 in status reg).

There are many reasons this can happen - google for 'dallas 1337 rtc'
for the chip's documentation to help you diagnose.

Kim